/*************************************************************************** 
*
*  LinuxCommonUtilsSDK.cpp for common Utility functions.
*
*  $Id$
*
*  Copyright 2013-2023 Citrix Systems, Inc.  All Rights Reserved
* 
*****************************************************************************/

#include <unistd.h>
#include <sys/types.h>
#include <pwd.h>
#include <sys/stat.h>
#include <string>

namespace LinuxCommonUtils{

	std::string getHomeDir()
	{
		const char* home = getenv("HOME");
		if(home)
			return std::string(home);
		
		struct passwd *passwordInfo;
		uid_t uid = getuid();
		if ((passwordInfo = getpwuid(uid))!= NULL)
		{   
				if(passwordInfo->pw_dir)
					return std::string(passwordInfo->pw_dir);
		}

		return "";
	}

// ----------------------------------------------------------------------------------------------------
// ifFileExists:
// Check if file or folder at that path exists
// ----------------------------------------------------------------------------------------------------
	bool ifFileExists(std::string &configFile) {
		
		struct stat fileStatus;
		int iretStat = stat(configFile.c_str(), &fileStatus);
		
		if(iretStat == 0)
			return  true;
		
		return false ;
	}

	
}



